POST api/Pilots
Request Information
URI Parameters
None.
Body Parameters
Pilot| Name | Description | Type | Additional information |
|---|---|---|---|
| pilotId | globally unique identifier |
None. |
|
| name | string |
None. |
|
| pilotTypeId | globally unique identifier |
None. |
|
| phone | string |
None. |
|
| isLicenseGimel | boolean |
None. |
|
| isLicenseRT | boolean |
None. |
|
| createdDate | date |
None. |
|
| PilotType | PilotType |
None. |
Request Formats
application/json, text/json
Sample:
{
"pilotId": "cb49ac68-f205-409b-9a1d-8ba476323bd8",
"name": "sample string 2",
"pilotTypeId": "10f76810-df2d-424d-b045-a446b3006d7e",
"phone": "sample string 4",
"isLicenseGimel": true,
"isLicenseRT": true,
"createdDate": "2026-03-20T18:40:45.0302163+00:00",
"PilotType": {
"pilotTypeId": "e3b4689c-cd2b-4e0f-acc0-a8f2033845bc",
"name": "sample string 2"
}
}
text/html
Sample:
{"pilotId":"cb49ac68-f205-409b-9a1d-8ba476323bd8","name":"sample string 2","pilotTypeId":"10f76810-df2d-424d-b045-a446b3006d7e","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:40:45.0302163+00:00","PilotType":{"pilotTypeId":"e3b4689c-cd2b-4e0f-acc0-a8f2033845bc","name":"sample string 2"}}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Pilot| Name | Description | Type | Additional information |
|---|---|---|---|
| pilotId | globally unique identifier |
None. |
|
| name | string |
None. |
|
| pilotTypeId | globally unique identifier |
None. |
|
| phone | string |
None. |
|
| isLicenseGimel | boolean |
None. |
|
| isLicenseRT | boolean |
None. |
|
| createdDate | date |
None. |
|
| PilotType | PilotType |
None. |
Response Formats
application/json, text/json
Sample:
{
"pilotId": "6bbee643-558b-47ef-8d8c-74f6b1022e7e",
"name": "sample string 2",
"pilotTypeId": "c19328af-c1da-43d7-ae46-7a9139be2ac8",
"phone": "sample string 4",
"isLicenseGimel": true,
"isLicenseRT": true,
"createdDate": "2026-03-20T18:40:45.0302163+00:00",
"PilotType": {
"pilotTypeId": "39897b00-7189-467c-9ed5-6071fe580859",
"name": "sample string 2"
}
}
text/html
Sample:
{"pilotId":"6bbee643-558b-47ef-8d8c-74f6b1022e7e","name":"sample string 2","pilotTypeId":"c19328af-c1da-43d7-ae46-7a9139be2ac8","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:40:45.0302163+00:00","PilotType":{"pilotTypeId":"39897b00-7189-467c-9ed5-6071fe580859","name":"sample string 2"}}